> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Video(s)

Retrieve all videos linked with a Zobject

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Zobjects",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/zobjects/{id}/videos": {
      "get": {
        "summary": "Retrieve Video(s)",
        "description": "Retrieve all videos linked with a Zobject",
        "tags": [
          "Zobjects"
        ],
        "operationId": "videosZobject",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of the record"
          },
          {
            "name": "zobject_type",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The type of zobject"
          }
        ],
        "responses": {
          "200": {
            "description": "Response will contain an array of videos",
            "content": {
              "application/json": {
                "schema": {
                  "title": "VideosResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "array",
                      "items": {
                        "title": "Video",
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "created_at": {
                            "type": "string"
                          },
                          "deleted_at": {
                            "type": "string"
                          },
                          "updated_at": {
                            "type": "string"
                          },
                          "on_air": {
                            "type": "boolean"
                          },
                          "purchase_price": {
                            "type": "number",
                            "description": "Amount to purchase the video"
                          },
                          "purchase_required": {
                            "type": "boolean",
                            "description": "Indicates if the video must be purchased before viewing"
                          },
                          "rating": {
                            "type": "number",
                            "description": "Overall rating of the video"
                          },
                          "related_playlist_ids": {
                            "type": "array",
                            "items": {
                              "type": "number"
                            },
                            "description": "IDs of related playlists"
                          },
                          "rental_duration": {
                            "type": "number",
                            "description": "Number of days video can be rented"
                          },
                          "rental_price": {
                            "type": "number",
                            "description": "Price to rent video"
                          },
                          "rental_required": {
                            "type": "boolean",
                            "description": "Indicates if video must be rented before viewing"
                          },
                          "request_count": {
                            "type": "number",
                            "description": "Number of times a video has been requested"
                          },
                          "site_id": {
                            "type": "string"
                          },
                          "status": {
                            "type": "string"
                          },
                          "crunchyroll_id": {
                            "type": "string",
                            "description": "ID of Crunchyroll source"
                          },
                          "hulu_id": {
                            "type": "string",
                            "description": "ID of Hulu source"
                          },
                          "mrss_id": {
                            "type": "string",
                            "description": "ID of MRSS source"
                          },
                          "kaltura_id": {
                            "type": "string",
                            "description": "ID of Kaltura source"
                          },
                          "vimeo_id": {
                            "type": "string",
                            "description": "ID of the Vimeo source"
                          },
                          "youtube_id": {
                            "type": "string",
                            "description": "ID of the YouTube source"
                          },
                          "thumbnails": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": "Thumbnails attached to the video"
                          },
                          "transcoded": {
                            "type": "boolean",
                            "description": "Indicates if video has been transcoded"
                          },
                          "video_zobjects": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": ""
                          },
                          "active": {
                            "type": "boolean"
                          },
                          "discovery_url": {
                            "type": "string"
                          },
                          "subscription_ads_enabled": {
                            "type": "boolean"
                          },
                          "title": {
                            "type": "string"
                          },
                          "zobject_ids": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            },
                            "description": ""
                          },
                          "country": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "short_description": {
                            "type": "string"
                          },
                          "disable_at": {
                            "type": "string"
                          },
                          "enable_at": {
                            "type": "string"
                          },
                          "episode": {
                            "type": "number"
                          },
                          "season": {
                            "type": "number"
                          },
                          "featured": {
                            "type": "boolean"
                          },
                          "friendly_title": {
                            "type": "string"
                          },
                          "keywords": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            },
                            "description": ""
                          },
                          "live_event": {
                            "type": "boolean",
                            "description": "Indicates if the video is a live event"
                          },
                          "marketplace_ids": {
                            "type": "object",
                            "description": "Override default Marketplace IDs for this video. Marketplace IDs map Zype purchaseable products to 3rd party marketplaces such as Apple iTunes and Google Play Store."
                          },
                          "preview_ids": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            },
                            "description": "An array of Zype hosted video ids that are previews for the current video."
                          },
                          "mature_content": {
                            "type": "boolean"
                          },
                          "parental_guidelines_rating": {
                            "type": "string",
                            "description": "Parental guidance rating of the video"
                          },
                          "pass_required": {
                            "type": "boolean"
                          },
                          "published_at": {
                            "type": "string"
                          },
                          "subscription_required": {
                            "type": "boolean"
                          },
                          "registration_required": {
                            "type": "boolean",
                            "description": "Requires a consumer to be registered and authenticated to a valid account in order to view the video."
                          },
                          "custom_attributes": {
                            "type": "object"
                          },
                          "categories_attributes": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": ""
                          },
                          "content_rule_profile_id": {
                            "type": "string",
                            "description": "ID of the content rule profile assigned to the video."
                          },
                          "segments": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": ""
                          },
                          "images_attributes": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": ""
                          },
                          "manifest": {
                            "type": "string",
                            "description": "URL to HLS manifest for video. Only included in response if params[:manifest] = true"
                          },
                          "video_source_types": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": "The types of video sources that are associated with the video."
                          }
                        }
                      },
                      "description": ""
                    },
                    "pagination": {
                      "$ref": "#/paths/~1zobjects/get/responses/200/content/application~1json/schema/properties/pagination"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Zobject not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1zobjects~1%7Bid%7D/get/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  }
}
```